JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MarkerList::Listener Class Referenceabstract
juce_gui_basics » positioning

A class for receiving events when changes are made to a MarkerList. More...

`#include <juce_MarkerList.h>`

Inheritance diagram for MarkerList::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | markersChanged (MarkerList *markerList)=0
| Called when something in the given marker list changes.
virtual void | markerListBeingDeleted (MarkerList *markerList)
| Called when the given marker list is being deleted.

## Detailed Description

A class for receiving events when changes are made to a MarkerList.

You can register a MarkerList::Listener with a MarkerList using the MarkerList::addListener() method, and it will be called when markers are moved, added, or deleted.

See also
  MarkerList::addListener, MarkerList::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual MarkerList::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ markersChanged()

virtual void MarkerList::Listener::markersChanged | ( | MarkerList * | markerList | ) |
| pure virtual

Called when something in the given marker list changes.

Implemented in RelativeCoordinatePositionerBase.

## ◆ markerListBeingDeleted()

virtual void MarkerList::Listener::markerListBeingDeleted | ( | MarkerList * | markerList | ) |
| virtual

Called when the given marker list is being deleted.

Reimplemented in RelativeCoordinatePositionerBase.

The documentation for this class was generated from the following file:

- juce_MarkerList.h